object FViewOrders: TFViewOrders
  Width = 676
  Height = 480
  CSSLibrary = cssBootstrap
  ElementFont = efCSS
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  ParentFont = False
  Visible = True
  OnCreate = WebFormCreate
  OnShow = WebFormShow
  object lblEntries: TWebLabel
    Left = 59
    Top = 113
    Width = 77
    Height = 13
    Caption = 'Showing 0 of ...'
    ElementID = 'lblentries'
    ElementFont = efCSS
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    WidthPercent = 100.000000000000000000
  end
  object btnAddOrder: TWebButton
    Left = 59
    Top = 79
    Width = 96
    Height = 25
    Caption = 'Add Order'
    ChildOrder = 5
    ElementID = 'btnaddorder'
    ElementFont = efCSS
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    TabOrder = 6
    TabStop = False
    WidthPercent = 100.000000000000000000
    OnClick = btnAddOrderClick
  end
  object btnSearch: TWebButton
    Left = 462
    Top = 79
    Width = 96
    Height = 25
    Caption = 'Search'
    ChildOrder = 6
    ElementID = 'btnfilters'
    ElementFont = efCSS
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    TabOrder = 9
    TabStop = False
    WidthPercent = 100.000000000000000000
    OnClick = btnSearchClick
  end
  object WebButton1: TWebButton
    Left = 188
    Top = 79
    Width = 96
    Height = 25
    Caption = 'Set Status'
    ChildOrder = 11
    ElementID = 'btnsetstatus'
    ElementFont = efCSS
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    TabOrder = 7
    TabStop = False
    WidthPercent = 100.000000000000000000
    OnClick = WebButton1Click
  end
  object btnPDF: TWebButton
    Left = 332
    Top = 79
    Width = 96
    Height = 25
    Caption = 'PDF'
    ChildOrder = 12
    ElementID = 'btngeneratepdf'
    ElementFont = efCSS
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    TabOrder = 8
    TabStop = False
    WidthPercent = 100.000000000000000000
    OnClick = btnPDFClick
  end
  object wdbtcOrders: TWebDBTableControl
    Left = 12
    Top = 138
    Width = 631
    Height = 200
    ElementClassName = 'table'
    ElementId = 'tblPhoneGrid'
    BorderColor = clSilver
    ChildOrder = 11
    ElementFont = efCSS
    ElementHeaderClassName = 'thead-light sticky-top bg-light'
    ElementPosition = epRelative
    ElementTableClassName = 'table table-striped table-hover table-bordered text-sm'
    Footer.ButtonActiveElementClassName = 'btn btn-primary'
    Footer.ButtonElementClassName = 'btn btn-light'
    Footer.DropDownElementClassName = 'form-control'
    Footer.InputElementClassName = 'form-control'
    Footer.LinkActiveElementClassName = 'link-primary'
    Footer.LinkElementClassName = 'link-secondary'
    Footer.ListElementClassName = 'pagination'
    Footer.ListItemElementClassName = 'page-item'
    Footer.ListLinkElementClassName = 'page-link'
    Header.ButtonActiveElementClassName = 'btn btn-primary'
    Header.ButtonElementClassName = 'btn btn-light'
    Header.DropDownElementClassName = 'form-control'
    Header.InputElementClassName = 'form-control'
    Header.LinkActiveElementClassName = 'link-primary'
    Header.LinkElementClassName = 'link-secondary'
    Header.ListElementClassName = 'pagination'
    Header.ListItemElementClassName = 'page-item'
    Header.ListLinkElementClassName = 'page-link'
    WordWrap = True
    OnClickCell = wdbtcOrdersClickCell
    OnDblClickCell = wdbtcOrdersDblClickCell
    Columns = <
      item
        DataField = 'ID'
        Title = 'ID'
      end
      item
        DataField = 'companyName'
        Title = 'Company Name'
      end
      item
        DataField = 'jobName'
        Title = 'Job Name'
      end
      item
        DataField = 'orderType'
        Title = 'Order Type'
      end
      item
        DataField = 'orderDate'
        Title = 'Order Date'
      end
      item
        DataField = 'proofDue'
        Title = 'Proof Due'
      end
      item
        DataField = 'proofDone'
        Title = 'Proof Done'
      end
      item
        DataField = 'artDue'
        Title = 'Art Due'
      end
      item
        DataField = 'artDone'
        Title = 'Art Done'
      end
      item
        DataField = 'plateDue'
        Title = 'Plate Due'
      end
      item
        DataField = 'plateDone'
        Title = 'Plate Done'
      end
      item
        DataField = 'mountDue'
        Title = 'Mount Due'
      end
      item
        DataField = 'mountDone'
        Title = 'Mount Done'
      end
      item
        DataField = 'shipDue'
        Title = 'Ship Due'
      end
      item
        DataField = 'shipDone'
        Title = 'Ship Done'
      end
      item
        DataField = 'price'
        Title = 'Price'
      end
      item
        DataField = 'qbRefNum'
        Title = 'QB Ref Num'
      end
      item
        DataField = 'colors'
        Title = 'Colors'
      end>
    DataSource = wdsOrders
  end
  object wcbPageSize: TWebComboBox
    Left = 22
    Top = 52
    Width = 145
    Height = 21
    ElementClassName = 'custom-select'
    ElementID = 'wcbpagesize'
    ElementFont = efCSS
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    Text = '500'
    WidthPercent = 100.000000000000000000
    OnChange = wcbPageSizeChange
    ItemIndex = -1
    Items.Strings = (
      '100'
      '250'
      '500'
      '1000')
  end
  object wlcbOrderBy: TWebLookupComboBox
    Left = 188
    Top = 52
    Width = 145
    Height = 22
    ElementClassName = 'custom-select'
    ElementID = 'wlcborderby'
    ElementFont = efCSS
    HeightPercent = 100.000000000000000000
    WidthPercent = 100.000000000000000000
    OnChange = wlcbOrderByChange
    ItemIndex = -1
    LookupValues = <
      item
        Value = 'o.ORDER_ID DESC'
        DisplayText = 'ID'
      end
      item
        Value = 'c.NAME ASC'
        DisplayText = 'Company Name'
      end
      item
        Value = 'o.JOB_NAME ASC'
        DisplayText = 'Job Name'
      end
      item
        Value = 'o.ORDER_DATE DESC'
        DisplayText = 'Order Date'
      end
      item
        Value = 'PROOF_DUE DESC'
        DisplayText = 'Proof Due'
      end
      item
        Value = 'PROOF_DONE DESC'
        DisplayText = 'Proof Done'
      end
      item
        Value = 'ART_DUE DESC'
        DisplayText = 'Art Due'
      end
      item
        Value = 'ART_DONE DESC'
        DisplayText = 'Art Done'
      end
      item
        Value = 'PLATE_DUE DESC'
        DisplayText = 'Plate Due'
      end
      item
        Value = 'PLATE_DONE DESC'
        DisplayText = 'Plate Done'
      end
      item
        Value = 'MOUNT_DUE DESC'
        DisplayText = 'Mount Due'
      end
      item
        Value = 'MOUNT_DONE DESC'
        DisplayText = 'Mount Done'
      end
      item
        Value = 'SHIP_DUE DESC'
        DisplayText = 'Ship Due'
      end
      item
        Value = 'SHIP_DONE DESC'
        DisplayText = 'Ship Done'
      end>
  end
  object edtSearch: TWebEdit
    Left = 428
    Top = 110
    Width = 121
    Height = 22
    ChildOrder = 10
    ElementClassName = 'form-control'
    ElementID = 'edtsearch'
    ElementFont = efCSS
    Enabled = False
    HeightStyle = ssAuto
    HeightPercent = 100.000000000000000000
    WidthPercent = 100.000000000000000000
  end
  object pnlMessage: TWebPanel
    Left = 12
    Top = 16
    Width = 121
    Height = 33
    ElementID = 'view.login.message'
    ChildOrder = 17
    TabOrder = 8
    object lblMessage: TWebLabel
      Left = 16
      Top = 11
      Width = 42
      Height = 13
      Caption = 'Message'
      ElementID = 'view.login.message.label'
      HeightPercent = 100.000000000000000000
      WidthPercent = 100.000000000000000000
    end
    object btnCloseNotification: TWebButton
      Left = 96
      Top = 3
      Width = 22
      Height = 25
      ChildOrder = 1
      ElementID = 'view.login.message.button'
      HeightPercent = 100.000000000000000000
      WidthPercent = 100.000000000000000000
      OnClick = btnCloseNotificationClick
    end
  end
  object XDataWebClient1: TXDataWebClient
    Connection = DMConnection.ApiConnection
    Left = 28
    Top = 410
  end
  object xdwdsOrders: TXDataWebDataSet
    Connection = DMConnection.ApiConnection
    Left = 70
    Top = 410
    object xdwdsOrdersID: TStringField
      FieldName = 'ID'
    end
    object xdwdsOrderscompanyName: TStringField
      FieldName = 'companyName'
    end
    object xdwdsOrdersjobName: TStringField
      FieldName = 'jobName'
    end
    object xdwdsOrdersorderType: TStringField
      FieldName = 'orderType'
    end
    object xdwdsOrdersorderDate: TStringField
      FieldName = 'orderDate'
    end
    object xdwdsOrdersproofDue: TStringField
      FieldName = 'proofDue'
    end
    object xdwdsOrdersproofDone: TStringField
      FieldName = 'proofDone'
    end
    object xdwdsOrdersartDue: TStringField
      FieldName = 'artDue'
    end
    object xdwdsOrdersartDone: TStringField
      FieldName = 'artDone'
    end
    object xdwdsOrdersplateDue: TStringField
      FieldName = 'plateDue'
    end
    object xdwdsOrdersplateDone: TStringField
      FieldName = 'plateDone'
    end
    object xdwdsOrdersmountDue: TStringField
      FieldName = 'mountDue'
    end
    object xdwdsOrdersmountDone: TStringField
      FieldName = 'mountDone'
    end
    object xdwdsOrdersshipDue: TStringField
      FieldName = 'shipDue'
    end
    object xdwdsOrdersshipDone: TStringField
      FieldName = 'shipDone'
    end
    object xdwdsOrdersprice: TStringField
      FieldName = 'price'
    end
    object xdwdsOrdersqbRefNum: TStringField
      FieldName = 'qbRefNum'
    end
    object xdwdsOrderscolors: TStringField
      FieldName = 'colors'
    end
  end
  object wdsOrders: TWebDataSource
    DataSet = xdwdsOrders
    Left = 120
    Top = 410
  end
  object wdsCustomers: TWebDataSource
    DataSet = xdwdsCustomers
    Left = 518
    Top = 414
  end
  object xdwdsCustomers: TXDataWebDataSet
    Connection = DMConnection.ApiConnection
    Left = 422
    Top = 412
    object xdwdsCustomersNAME: TStringField
      FieldName = 'NAME'
    end
    object xdwdsCustomersID: TIntegerField
      FieldName = 'ID'
    end
    object xdwdsCustomersCURR_ID: TIntegerField
      FieldName = 'CURR_ID'
    end
  end
  object xdwdsSave: TXDataWebDataSet
    Connection = DMConnection.ApiConnection
    Left = 188
    Top = 408
    object xdwdsSaveCURR_ID: TIntegerField
      FieldName = 'CURR_ID'
    end
  end
  object wdsSave: TWebDataSource
    DataSet = xdwdsSave
    Left = 346
    Top = 412
  end
end
